%global dialogsubversion 20220526

Summary: A utility for creating TTY dialog boxes
Name:    dialog
Version: 1.3
Release: 5%{?dist}
License: LGPLv2
URL: https://invisible-island.net/dialog/dialog.html
Source0: https://invisible-mirror.net/archives/dialog/dialog-%{version}-%{dialogsubversion}.tgz

Patch3000: dialog-multilib.patch
Patch3001: dialog-libs.patch

BuildRequires: ncurses-devel gcc gettext findutils libtool gnupg2 make

%description
Dialog is a utility that allows you to show dialog boxes (containing questions or messages) in TTY
(text mode) interfaces.  Dialog is called from within a shell script.  The following dialog boxes
are implemented: yes/no, menu, input, message, text, info, checklist, radiolist, and gauge.

Install dialog if you would like to create TTY dialog boxes.

%package devel 
Summary: Development files for building applications with the dialog library
Requires: %{name} = %{version}-%{release} ncurses-devel

%description devel
Dialog is a utility that allows you to show dialog boxes (containing questions or messages) in TTY
(text mode) interfaces. This package contains the files needed for developing applications, which
use the dialog library.

%prep
%autosetup -n dialog-%{version}-%{dialogsubversion} -p1

%build
%configure \
    --enable-nls \
    --with-libtool \
    --with-libtool-opts="$(for opt in %{?_hardened_ldflags}; do \
                echo -n -Xcompiler $opt ''; done)" \
    --with-ncursesw \
    --includedir=%{_includedir}/dialog
%make_build

%install
rm -rf samples/install
find samples -type f -print0 | xargs -0 chmod a-x

make install DESTDIR=%{buildroot}

chmod 755 %{buildroot}%{_libdir}/libdialog.so.*.*.*
rm -f %{buildroot}%{_libdir}/libdialog.{,l}a

%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc dialog.lsm README samples
%{_bindir}/dialog
%{_libdir}/libdialog.so.15*
%{_mandir}/man1/dialog.*

%files devel
%{_bindir}/dialog-config
%{_includedir}/dialog
%{_libdir}/libdialog.so
%{_mandir}/man3/dialog.*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.3-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 1.3-1
- initial build
